<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="getInfo()" class="btn btn-primary">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button type="button" class="btn btn-success ml-1" (click)="exportExcel()" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-excel mr-2"></i>Excel
  </button>
  <!-- <button type="button" class="btn btn-danger ml-1" (click)="exportPdf()" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button> -->
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Desde:</label>
          <kendo-datepicker formControlName="fFec1" class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Hasta:</label>
          <kendo-datepicker formControlName="fFec2" [min]="ngForm.value.fFec1" class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" [filterable]="true"
      [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;" class="mt-1">
      <div *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="FolioNumber" title="# Folio" width="100"></kendo-grid-column>
        <kendo-grid-column field="Apellido" title="Apellido" width="150"></kendo-grid-column>
        <kendo-grid-column field="Nombre" title="Nombre" width="150"></kendo-grid-column>
        <kendo-grid-column field="Cuarto" title="Cuarto" width="70"></kendo-grid-column>
        <kendo-grid-column field="TipoCuarto" title="Tipo" width="70"></kendo-grid-column>
        <kendo-grid-column field="FechaEntrada" title="Fec. Ent." width="120"></kendo-grid-column>
        <kendo-grid-column field="Noches" title="Noches" width="70" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="FechaSalida" title="Fec. Sal." width="120"></kendo-grid-column>
        <kendo-grid-column field="Programa[0]" title="Programa [1]" width="120" [filterable]="false" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Programa[1]" title="Programa [2]" width="120" [filterable]="false" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Programa[2]" title="Programa [3]" width="120" [filterable]="false" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Programa[3]" title="Programa [4]" width="120" [filterable]="false" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Programa[4]" title="Programa [5]" width="120" [filterable]="false" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Idioma" title="Idioma" width="90"></kendo-grid-column>
        <kendo-grid-column field="Monto" title="Monto" width="130" class="text-right">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Monto | currency:'MXN' }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="EstadoActual" title="E.A." width="70"></kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGlobal" *ngIf="!loading" [selectable]="true" [filter]="filter"
      [filterable]="true" [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true"
      [pageSize]="pageSize" [skip]="skip" style="height: 30vh;" class="mt-1">
      <div *ngIf="dataGlobal.length !== 0">
        <kendo-grid-column field="Descripcion" title="Descripción" width="150"></kendo-grid-column>
        <kendo-grid-column field="Cuentas" title="Cuentas" width="150" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="Noches" title="Noches" width="150" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="Monto" title="Monto" width="150" class="text-right">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.Monto | currency:'MXN' }}
          </ng-template>
        </kendo-grid-column>
      </div>

      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>